#!/bin/sh

#set -ex

DIR="$( cd "$( dirname "$0" )" && pwd )"
if [ "$(uname -s)" = "Darwin" ]; then
  if [ "$(whoami)" = "root" ]; then
    TARGET_DIR="/Library/Google/Chrome/NativeMessagingHosts"
  else
    TARGET_DIR="$HOME/Library/Application Support/Google/Chrome/NativeMessagingHosts"
  fi
else
  MACHINE_TYPE=`uname -m`
  if [ "$MACHINE_TYPE" = "i686" ]; then
     if [ "$(whoami)" = "root" ]; then
        TARGET_DIR="/etc/chromium-browser/native-messaging-hosts"
     else
        TARGET_DIR="$HOME/.config/chrome-browser/NativeMessagingHosts"
     fi
  else
     if [ "$(whoami)" = "root" ]; then
       TARGET_DIR="/etc/opt/chrome/native-messaging-hosts"
     else
       TARGET_DIR="$HOME/.config/google-chrome/NativeMessagingHosts"
     fi
  fi
fi

HOST_NAME=com.epadlink.sigcapturewebsdk.win

# Create directory to store native messaging host.
mkdir -p "$TARGET_DIR"

# Copy native messaging host manifest.
cp "$DIR/$HOST_NAME.json" "$TARGET_DIR"

# Update host path in the manifest.
HOST_PATH=$DIR/ePadLink.SigCaptureMain.exe
if [ "$(uname -s)" = "Darwin" ]; then
   ESCAPED_HOST_PATH=${HOST_PATH////\\/}
   sed -i -e "s/HOST_PATH/$ESCAPED_HOST_PATH/" "$TARGET_DIR/$HOST_NAME.json"
else
   ESCAPED_HOST_PATH=$(echo "$HOST_PATH" | sed 's,\/,\\\/,g')
   sed -i -e "s/HOST_PATH/$ESCAPED_HOST_PATH/" "$TARGET_DIR/$HOST_NAME.json"
fi

# Set permissions for the manifest so that all users can read it.
chmod o+r "$TARGET_DIR/$HOST_NAME.json"

echo "ePadLink SigCapture WebSign for Chrome browser has been installed."
